clang 10.0.0git

Public Types | Protected Member Functions | Friends | List of all members
clang::CodeGen::ConstantArrayBuilderTemplateBase< Traits > Class Template Reference

`#include "clang/CodeGen/ConstantInitBuilder.h"`

Inheritance diagram for clang::CodeGen::ConstantArrayBuilderTemplateBase< Traits >:
[legend]
Collaboration diagram for clang::CodeGen::ConstantArrayBuilderTemplateBase< Traits >:
[legend]

## Public Types
using | InitBuilder = typename Traits::InitBuilder
using | AggregateBuilderBase = typename Traits::AggregateBuilderBase
Public Types inherited from clang::CodeGen::ConstantAggregateBuilderTemplateBase< Traits::ArrayBuilder, Traits >
using | InitBuilder = typename Traits::InitBuilder
using | ArrayBuilder = typename Traits::ArrayBuilder
using | StructBuilder = typename Traits::StructBuilder
using | AggregateBuilderBase = typename Traits::AggregateBuilderBase

## Protected Member Functions
| ConstantArrayBuilderTemplateBase (InitBuilder &builder, AggregateBuilderBase *parent, llvm::Type *eltTy)
Protected Member Functions inherited from clang::CodeGen::ConstantAggregateBuilderTemplateBase< Traits::ArrayBuilder, Traits >
| ConstantAggregateBuilderTemplateBase (InitBuilder &builder, AggregateBuilderBase *parent)
Traits::ArrayBuilder & | asImpl ()

## Friends
template<class , class >
class | ConstantAggregateBuilderTemplateBase

## Additional Inherited Members
Public Member Functions inherited from clang::CodeGen::ConstantAggregateBuilderTemplateBase< Traits::ArrayBuilder, Traits >
ArrayBuilder | beginArray (llvm::Type *eltTy=nullptr)
StructBuilder | beginStruct (llvm::StructType *ty=nullptr)
void | finishAndAddTo (AggregateBuilderBase &parent)
| Given that this builder was created by beginning an array or struct component on the given parent builder, finish the array/struct component and add it to the parent. More...
llvm::GlobalVariable * | finishAndCreateGlobal (As &&...args)
| Given that this builder was created by beginning an array or struct directly on a ConstantInitBuilder, finish the array/struct and create a global variable with it as the initializer. More...
void | finishAndSetAsInitializer (llvm::GlobalVariable *global)
| Given that this builder was created by beginning an array or struct directly on a ConstantInitBuilder, finish the array/struct and set it as the initializer of the given global variable. More...
ConstantInitFuture | finishAndCreateFuture ()
| Given that this builder was created by beginning an array or struct directly on a ConstantInitBuilder, finish the array/struct and return a future which can be used to install the initializer in a global later. More...

## Detailed Description

### template<class Traits>
class clang::CodeGen::ConstantArrayBuilderTemplateBase< Traits >

Definition at line 398 of file ConstantInitBuilder.h.

## Member Typedef Documentation

## ◆ AggregateBuilderBase

template<class Traits>

using clang::CodeGen::ConstantArrayBuilderTemplateBase< Traits >::AggregateBuilderBase = typename Traits::AggregateBuilderBase

Definition at line 406 of file ConstantInitBuilder.h.

## ◆ InitBuilder

template<class Traits>

using clang::CodeGen::ConstantArrayBuilderTemplateBase< Traits >::InitBuilder = typename Traits::InitBuilder

Definition at line 405 of file ConstantInitBuilder.h.

## Constructor & Destructor Documentation

## ◆ ConstantArrayBuilderTemplateBase()

template<class Traits>

clang::CodeGen::ConstantArrayBuilderTemplateBase< Traits >::ConstantArrayBuilderTemplateBase | ( | InitBuilder & | builder,
|  | AggregateBuilderBase * | parent,
|  | llvm::Type * | eltTy
| ) |  |
| inline protected

Definition at line 415 of file ConstantInitBuilder.h.

## Friends And Related Function Documentation

## ◆ ConstantAggregateBuilderTemplateBase

template<class Traits>
template<class , class >

friend class ConstantAggregateBuilderTemplateBase
| friend

Definition at line 412 of file ConstantInitBuilder.h.

The documentation for this class was generated from the following file:

- include/clang/CodeGen/ConstantInitBuilder.h